%define anolis_release 7
Name:		perl-Devel-OverloadInfo
Version:	0.007
Release:	%{anolis_release}%{?dist}
Summary:	Introspect overloaded operators
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Devel-OverloadInfo
Source0:	https://cpan.metacpan.org/modules/by-module/Devel/Devel-OverloadInfo-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::HasCompiler) >= 0.023
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Text::ParseWords)
# Module Runtime
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(overload)
BuildRequires:	perl(Package::Stash) >= 0.14
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Util) >= 1.40
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(parent)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.88
# Runtime
Requires:	perl(Sub::Util) >= 1.40

%description
Devel::OverloadInfo returns information about overloaded operators for a
given class (or object), including where in the inheritance hierarchy the
overloads are declared and where the code implementing it is.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Devel-OverloadInfo-%{version}

# Remove bundled ExtUtils::HasCompiler
rm -rf inc/
perl -ni -e 'print unless /^inc\//;' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::OverloadInfo.3*

%files doc
%doc Changes README

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.007-7
- Import package for anolis 23
